Referência de endpointsWebhooks
Criar um webhook
POST
Cria um canal de notificação do tipo webhook (formato json), slack ou teams. Quando secret é omitido, um é gerado; ele é retornado uma única vez nesta resposta. As entregas são assinadas com X-Proteside-Signature: t=<unix>,v1=<hex hmac_sha256(secret, t + "." + rawBody)> e reenviadas 3 vezes (1 min, 10 min, 60 min).
bearerAuthheader
AutorizaçãoBearer <token>Token de API criado em Configurações → API. Os escopos ficam vinculados ao token; cada operação lista o escopo exigido em x-scope.
org_id?stringSomente parceiros (orgs:manage): atua sobre esta organização filha. Também pode ser enviado como org_id em corpos JSON.
Formato
uuidIdempotency-Key?stringReproduz a resposta original por 24 h
Tamanho
1 <= length <= 255application/json- body
url*stringhttps only
Formato
urisecret?stringOmit to have one generated
Tamanho
16 <= length <= 256format?stringPadrão
"json"Valor em
"json""slack""teams"name?stringTamanho
length <= 120store_id?stringFormato
uuidevents?array<>|nullmin_severity?stringPadrão
"high"Valor em
"critical""high""medium""low""info"active?booleanPadrão
trueWebhook com secret exibido uma única vez
application/json- response
id?stringFormato
uuidorg_id?stringFormato
uuidstore_id?|null = organization-wide
Formato
uuidtype?stringValor em
"webhook""slack""teams"name?stringurl?|Formato
uriformat?stringValor em
"json""slack""teams"has_secret?booleanevents?array<>|null = all events
min_severity?stringValor em
"critical""high""medium""low""info"active?booleanlast_used_at?|Formato
date-timecreated_at?stringFormato
date-timeupdated_at?stringFormato
date-timesecret?stringShown once
secret_generated?booleancurl -X POST "https://example.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "https://ops.partner.example/hooks/proteside", "format": "json", "events": [ "alert.created", "alert.resolved", "report.ready" ], "min_severity": "high" }'{ "id": "a9b8c7d6-0000-4111-8222-333344445555", "org_id": "7f3c1e2a-0b4d-4c8e-9f10-2a3b4c5d6e7f", "store_id": null, "type": "webhook", "name": "Webhook · ops.partner.example", "url": "https://ops.partner.example/hooks/proteside", "format": "json", "has_secret": true, "events": [ "alert.created", "alert.resolved", "report.ready" ], "min_severity": "high", "active": true, "last_used_at": null, "created_at": "2026-09-27T10:20:00.000Z", "updated_at": "2026-09-27T10:20:00.000Z", "secret": "whsec_0f1e2d3c4b5a69788796a5b4c3d2e1f00f1e2d3c4b5a6978", "secret_generated": true}